petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatTransColoringApplyDenToSp

Given a symbolic matrix product Csp=A*B^T for which a MatTransposeColoring context has been created and a dense matrix Cden=A*Btdense in which Btdens is obtained from MatTransColoringApplySpToDen(), recover sparse matrix Csp from Cden.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransColoringApplyDenToSp(MatTransposeColoring matcoloring,Mat Cden,Mat Csp)

Collective on MatTransposeColoring Many br

### Input Parameters

| coloring | - coloring context created with MatTransposeColoringCreate() Many br
| Cden | - matrix product of a sparse matrix and a dense matrix Btdense Many br

### Output Parameter

Csp -sparse matrix Many br

### Options Database Keys

| -mat_multtranspose_coloring_view | - Activates basic viewing or coloring Many br
| -mat_multtranspose_coloring_view_draw | - Activates drawing of coloring Many br
| -mat_multtranspose_coloring_view_info | - Activates viewing of coloring info Many br

Many br

### See Also

MatTransposeColoringCreate(), MatTransposeColoringDestroy(), MatTransColoringApplySpToDen()

### Keywords

coloring

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages